export enum ActionExecutorEnum {
  DEVICE_ISSUE = 'device_issue',
  DELAY = 'delay',
  RULE_TRIGGER = 'rule_trigger',
  RULE_DISABLE = 'rule_disable',
  RULE_ENABLE = 'rule_enable',
}

export enum EntityTypeEnum {
  DEVICE_REPORT = 'device_report',
}
export const AUTOMATION_CONFIG = {
  DEFAULT_START_TIME: '00:00',
  DEFAULT_END_TIME: '23:59',
  DEFAULT_LOOPS: '1111111',
  DECISION_EXPR: 'and',
  CONDITION_TYPE: 'device_report',
  ACTION_EXECUTOR: 'rule_trigger',
  COMPARATOR: '==',
  SCENE_STATUS_VALUE: 'scene',
};
export const AUTOMATION_TYPE = 'automation';
export const AUTO_PREFIX = 'Auto_';

export enum ActionTypeEnum {
  SCENE = 'scene',
  AUTOMATION = 'automation',
}
