import { ApiProperty } from '@nestjs/swagger';
import { IsUUID } from 'class-validator';
import { CommunityParam } from './community-space.param';

export class GetSpaceParam extends CommunityParam {
  @ApiProperty({
    description: 'UUID of the Space',
    example: 'd290f1ee-6c54-4b01-90e6-d701748f0851',
  })
  @IsUUID()
  spaceUuid: string;
}
