import { DataSource, Repository } from 'typeorm';
import { Injectable } from '@nestjs/common';
import { BookableSpaceEntity } from '../entities/bookable-space.entity';

@Injectable()
export class BookableSpaceEntityRepository extends Repository<BookableSpaceEntity> {
  constructor(private dataSource: DataSource) {
    super(BookableSpaceEntity, dataSource.createEntityManager());
  }
}
