import { DataSource, Repository } from 'typeorm';
import { Injectable } from '@nestjs/common';
import { DeviceStatusLogEntity } from '../entities/device-status-log.entity';

@Injectable()
export class DeviceStatusLogRepository extends Repository<DeviceStatusLogEntity> {
  constructor(private dataSource: DataSource) {
    super(DeviceStatusLogEntity, dataSource.createEntityManager());
  }
}
