import { DataSource, Repository } from 'typeorm';
import { Injectable } from '@nestjs/common';
import {
  DeviceEntity,
  DeviceNotificationEntity,
  DeviceUserPermissionEntity,
} from '../entities';

@Injectable()
export class DeviceRepository extends Repository<DeviceEntity> {
  constructor(private dataSource: DataSource) {
    super(DeviceEntity, dataSource.createEntityManager());
  }
}
@Injectable()
export class DeviceNotificationRepository extends Repository<DeviceNotificationEntity> {
  constructor(private dataSource: DataSource) {
    super(DeviceNotificationEntity, dataSource.createEntityManager());
  }
}
@Injectable()
export class DeviceUserPermissionRepository extends Repository<DeviceUserPermissionEntity> {
  constructor(private dataSource: DataSource) {
    super(DeviceUserPermissionEntity, dataSource.createEntityManager());
  }
}
