import { IsNotEmpty, IsString } from 'class-validator';

export class VisitorPasswordDto {
  @IsString()
  @IsNotEmpty()
  public uuid: string;

  @IsString()
  @IsNotEmpty()
  public authorizerUuid: string;

  @IsString()
  @IsNotEmpty()
  public passwordTuyaUuid: string;
}
