import { IsArray, IsNotEmpty, IsString } from 'class-validator';

export class ClientDto {
  @IsString()
  @IsNotEmpty()
  public uuid: string;

  @IsString()
  @IsNotEmpty()
  public clientId: string;
  @IsString()
  @IsNotEmpty()
  public clientSecret: string;
  @IsString()
  @IsNotEmpty()
  public redirectUri: string;
  @IsArray()
  @IsNotEmpty()
  public scopes: string[];
}
