import { RoleType } from '@app/common/constants/role.type.enum';
import { IsEnum, IsNotEmpty, IsString } from 'class-validator';

export class RoleTypeDto {
  @IsString()
  @IsNotEmpty()
  public uuid: string;

  @IsEnum(RoleType)
  public type: RoleType;
}
