import { registerAs } from '@nestjs/config';

export default registerAs(
  'openweather-config',
  (): Record<string, any> => ({
    OPEN_WEATHER_MAP_API_KEY: process.env.OPEN_WEATHER_MAP_API_KEY,
    WEATHER_API_URL: process.env.WEATHER_API_URL,
  }),
);
