import { ApiProperty } from '@nestjs/swagger';
import { IsOptional, IsString } from 'class-validator';

export class GetDevicesBySpaceDto {
  @ApiProperty({
    description: 'Device Product Type',
    example: 'PC',
    required: false,
  })
  @IsString()
  @IsOptional()
  public productType?: string;
}
